<script type="text/html" data-help-name="dim-cmd-client">
  <p>
    A DIM Client node for triggering a command service on a DIM Service
    Provider (DIS).
  </p>
  <h3>Inputs</h3>
  <dl class="message-properties">
    <dt>
      payload
      <span class="property-type">
        string | number | buffer | array | object
      </span>
    </dt>
    <dd>
      The command to send. If this property is not set, no command will be
      sent.
    </dd>
  </dl>
  <h3>Details</h3>
  <p>
    This node must be configured with the name of the service to which commands
    are to be sent and a connection to the DIM Name Server (DNS) hosting that
    service. For the latter, it is possible to either create a new DNS Server
    connection by clicking on the pencil icon or use an existing one shared
    between several DIM nodes.
  </p>
  <p>
    The node can retrieve the list of the <i>command</i> services registered
    on the DNS Server set-up. For each service in the drop-down list, the
    required input parameters are shown according to the following
    <a target="_blank" href="https://www.rfc-editor.org/info/rfc5234">
      abnf syntax
    </a>:
  </p>
  <pre><b>*(type ":" num ";") type [":" num]</b>
    <br>type = "C" / "S" / "I" / "X" / "F" / "D"
    <br>num = 1*DIGIT</pre>
  <p>
    where types are:
    <table style="outline-width:#888 solid thin">
      <tr><th width="50px">type</th><th width="80px">description</th></tr>
      <tr><td><center>C</center></td><td><center>string</center></td></tr>
      <tr><td><center>S</center></td><td><center>int16</center></td></tr>
      <tr><td><center>I</center></td><td><center>int32</center></td></tr>
      <tr><td><center>X</center></td><td><center>int64</center></td></tr>
      <tr><td><center>F</center></td><td><center>float</center></td></tr>
      <tr><td><center>D</center></td><td><center>double</center></td></tr>
    </table>
  </p>
  <p>
    <b>Note</b>: An error is raised if the command cannot be sent within
    <i>Timeout</i> milliseconds. By default, it is 1000 ms.
  </p>
</script>
